Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.search
Class SearchQualification

    java.lang.Object
      oracle.ifs.search.SearchQualification

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AttributeQualification, ContextQualification, ExistenceQualification, FolderRestrictQualification, FreeFormQualification, JoinQualification, PropertyQualification, SearchClause, SubstringQualification

    public abstract class SearchQualification

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

A SearchQualification represents a node in the SearchTree. It translates to a condition in the SQL Where Clause. We support various types of conditions like conditions on Attributes, Join conditions, Text query conditions, Folder Restriction conditions, Property conditions and FreeForm conditions. Each of these is reprsented by a subclass.

Additionally a SearchClause condition provides a way to combine SearchQualifications into a SearchTree using AND, OR and NOT operators.

See Also:
  `AttributeQualification`, `JoinQualification`, `FolderRestrictQualification`, `SearchClause`, `PropertyQualification`, `ContextQualification`, `FreeFormQualification`, Serialized Form
(Published)

Field Summary
`static java.lang.String` | `LATE_BIND_OPER` Represents the LATE BINDING character.

Constructor Summary
`SearchQualification()` Empty Constructor.

Method Summary
`protected abstract void` | `accept(oracle.ifs.search.SearchQualificationVisitor v)` Accepts a Visitor, during the traversal of the SearchTree.
`java.lang.Object` | `clone()` Returns a clone of this SearchQualification.
`protected boolean` | `isLateBound()` Check on whether Qualification is lateBound.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LATE_BIND_OPER

    public static final java.lang.String LATE_BIND_OPER

  Description copied from class: `SearchQualification`
  Represents the LATE BINDING character. Values set to this are replaced by bind Values when the Search is executed.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### SearchQualification

    public SearchQualification()

  Empty Constructor.

  (Unpublished)

Method Detail

### isLateBound

    protected boolean isLateBound()

  Description copied from class: `SearchQualification`
  Check on whether Qualification is lateBound. If Qualification is lateBound, condition's value is set in SQL statement using bind Values.

  By default a Qualification is not lateBound.

  Returns:
    `true` if Qualification is lateBound; `false` otherwise.
  (Unpublished)

### clone

    public java.lang.Object clone()

  Description copied from class: `SearchQualification`
  Returns a clone of this SearchQualification.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Return a clone of this SearchQualification.
  (Published)

### accept

    protected abstract void accept(oracle.ifs.search.SearchQualificationVisitor v)
                            throws IfsException

  Description copied from class: `SearchQualification`
  Accepts a Visitor, during the traversal of the SearchTree. This part of the Visitor pattern. The pattern facilitates traversal of the SearchTree, by Visitor objects. Each Visitor has a unique function. For e.g. the ValidationVisitor checks each Qualification for correctness of ClassNames, AttributeNames etc.

  Parameters:
    `v` - A SearchQualificationVisitor that acts on this Qualification.
  Throws:
    `IfsException` - if a problem is encountered during processing of this node.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD